import { BaseToken, type Token, WrapperToken } from "./token";
export declare namespace Tokens {
    /**
     * The DAI stablecoin, available on Arbitrum, Avalanche, Binance Smart Chain, Ethereum, and Polygon.
     */
    const DAI: BaseToken;
    const BUSD: BaseToken;
    const USDC: BaseToken;
    const USDT: BaseToken;
    const UST: BaseToken;
    const ETH: BaseToken;
    /**
     * nETH is a token involved in the bridge.
     */
    const NETH: BaseToken;
    const WETH: BaseToken;
    const WETHBEAM: BaseToken;
    const WETH_E: BaseToken;
    const AVWETH: BaseToken;
    const ONE_ETH: BaseToken;
    const FTM_ETH: BaseToken;
    const METIS_ETH: BaseToken;
    const SYN: BaseToken;
    /**
     * nUSD is a token involved in the bridge.
     */
    const NUSD: BaseToken;
    const AVAX: BaseToken;
    const WAVAX: WrapperToken;
    const SYN_AVAX: BaseToken;
    const MULTI_AVAX: BaseToken;
    const MOVR: BaseToken;
    const WMOVR: WrapperToken;
    const JEWEL: BaseToken;
    const WJEWEL: WrapperToken;
    const SYN_JEWEL: BaseToken;
    const XJEWEL: BaseToken;
    const GOHM: BaseToken;
    const HIGH: BaseToken;
    const JUMP: BaseToken;
    const DOG: BaseToken;
    const NFD: BaseToken;
    const FRAX: BaseToken;
    const SYN_FRAX: BaseToken;
    const SOLAR: BaseToken;
    const GMX: BaseToken;
    const NEWO: BaseToken;
    const SDT: BaseToken;
    const LUNA: BaseToken;
    const USDB: BaseToken;
    const mintBurnTokens: Token[];
    const isMintBurnToken: (token: Token) => boolean;
    const gasTokenWrapper: (gasToken: Token) => Token;
    const AllTokens: Token[];
}
